#32bit

Name: MediaFireExpress
Version: 0.15.4.4888
Release: %mkrel 1

URL: http://www.mediafire.com/
Summary: MediaFire Express
Source: MediaFireExpress-0.15.4.4888-linux.x86_64.rpm
Group: Networking/File transfer
License: Commercial
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: pclinuxos-release


%description
MediaFire Express allows you to access the functions of the MediaFire cloud service from your computer. 
It is designed to facilitate the file uploads to your online account and provide you with sharing options.

With this tool you can easily upload any file from your computer to the cloud storage. You can use the system 
tray icon or the program dashboard to drag and drop the items that need to be uploaded.


%prep

rpm2cpio %_sourcedir/MediaFireExpress-0.15.4.4888-linux.x86_64.rpm | cpio -vid

%build
#nobuild

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/opt/%{name}/
cp -r usr/local/mediafire/* %{buildroot}/opt/%{name}/

#icon
mkdir -p %{buildroot}/%{_datadir}/pixmaps
cp -r usr/local/mediafire/icon_circle_linux_96.png \
%{buildroot}/%{_datadir}/pixmaps/%{name}.png
convert -scale 48 %{buildroot}/%{_datadir}/pixmaps/%{name}.png \
%{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd /opt/%{name}/
./mf_systray
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=MediaFire Express
GenericName=MediaFire Express
Comment=Access Collaboration Share
Exec=/opt/%{name}/mf_systray
Icon=%{name}
Terminal=0
Type=Application
Categories=Network;FileTransfer;X-MandrivaLinux-Internet-FileTransfer;
EOF

#Remove
rm -f %{buildroot}/opt/docs,*.desktop,*.png}

%clean
rm -rf %{buildroot}



%files
%defattr(-,root,root)
%doc usr/local/mediafire/docs/*
%_bindir/%{name}
%_datadir/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/%{name}


%changelog
* Wed Apr 17 2013 Ken <lxgator at gmail.com> 0.15.4.4888-1pclos2013
- initial build
- use fedora binary rpm

